Ferret error in rake:db migrate


#1

I’m using this book Beginning ruby on rails e-commerce from apress. I’m
trying to just load a lesson that I downloaded the source from, I
installed ferret properly, Yet when I try to rake:db migrate I get
this… rake aborted, no such file to load
–ferret.

I realize this is probably a simple error on my part, but if someone
could tell me what im doing wrong I would greatly appreciate it. Thank
you.


#2

removed_email_address@domain.invalid wrote:

On Feb 19, 1:13 pm, Preston P. removed_email_address@domain.invalid
wrote:

I’m using this book Beginning ruby on rails e-commerce from apress. I’m
trying to just load a lesson that I downloaded the source from, I
installed ferret properly, Yet when I try to rake:db migrate I get
this… rake aborted, no such file to load
–ferret.

i vaguely remember getting messages like this if the ferret and
a_a_ferret gems didn’t install properly (ferret needs ruby-devel, or
other C library headers on differetn unix platforms). When you
install the gem, does it install cleanly?

yeah when i install everything is fine


#3

On Feb 19, 1:13 pm, Preston P. removed_email_address@domain.invalid
wrote:

I’m using this book Beginning ruby on rails e-commerce from apress. I’m
trying to just load a lesson that I downloaded the source from, I
installed ferret properly, Yet when I try to rake:db migrate I get
this… rake aborted, no such file to load
–ferret.

i vaguely remember getting messages like this if the ferret and
a_a_ferret gems didn’t install properly (ferret needs ruby-devel, or
other C library headers on differetn unix platforms). When you
install the gem, does it install cleanly?


#4

isn’t it “rake db:migrate” ?

On 2/20/07, Preston P. removed_email_address@domain.invalid wrote:


Ramon Miguel M. Tayag